"""Platform related code."""
import sys

if sys.platform.startswith('linux'):
    from tests.platform.linux import test_dbus
    ipc_source = test_dbus
else:
    from tests.platform.windows import test_ipc
    ipc_source = test_ipc

IPCTestCase = ipc_source.IPCTestCase
StatusTestCase = ipc_source.StatusTestCase
EventsTestCase = ipc_source.EventsTestCase
SyncDaemonTestCase = ipc_source.SyncDaemonTestCase
FileSystemTestCase = ipc_source.FileSystemTestCase
SharesTestCase = ipc_source.SharesTestCase
ConfigTestCase = ipc_source.ConfigTestCase
FoldersTestCase = ipc_source.FoldersTestCase
PublicFilesTestCase = ipc_source.PublicFilesTestCase
